Get crypto exchange
The Crypto Exchange Endpoint allows you to convert any amount in USD or Local Currency to the specified Cryptocurrency.
Authorizations
AuthorizationstringRequired
Your Read-Only API Key prefixed with 'Bearer '. Example: 'Bearer your_read_only_key_here'
Query parameters
currencystringRequiredExample:
USD or the country's local currency that will be used by the payer.
BRLamountnumber · floatOptionalDefault:
Amount in the previously specified currency. Used to calculate the exchange in the cryptocurrency specified below. Default 1.
1Example: 1000cryptostringRequiredExample:
Cryptocurrency symbol in which the amount will be converted to.
USDTResponses
200
Currency exchange correctly returned.
application/json
fx_ratenumber · floatOptionalExample:
Exchange rate of the cryptocurrency against the base currency.
5.8829converted_amountnumber · floatOptionalExample:
Amount in the cryptocurrency specified.
58.829feenumber · floatOptionalExample:
Fee for converting the specified amount to the cryptocurrency.
0.64401
Invalid credentials error.
application/json
get/v3/exchange_rates/crypto
GET /v3/exchange_rates/crypto?currency=text&crypto=text HTTP/1.1
Host: api-stg.directa24.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"fx_rate": 5.8829,
"converted_amount": 58.829,
"fee": 0.64
}Was this helpful?

